using FalcoEngine;

public class Controls : MonoBehaviour
{
    private Statistics stat;

    void Start()
    {
        stat = FindObjectOfType<Statistics>();
    }

	void Update()
	{
        if (stat.status == "Playing")
        {
            if (Input.GetKey(ScanCode.A))
            {
                if (transform.position.x < 3.5f)
                {
                    transform.position += new Vector3(7f * Time.deltaTime, 0f, 0f);
                }
            }
            if (Input.GetKey(ScanCode.D))
            {
                if (transform.position.x > -3.5f)
                {
                    transform.position += new Vector3(-7f * Time.deltaTime, 0f, 0f);
                }
            }
            if (Input.GetMouseButtonDown(0))
            {
                gameObject.GetComponent<Spawner>().Spawn();
            }

            if (!stat.learnedControls)
            {
                if (Input.GetKey(ScanCode.A) | Input.GetKey(ScanCode.D) | Input.GetMouseButtonDown(0))
                {
                    stat.learnedControls = true;
                }
            }
        }
    }
}
