using FalcoEngine;

public class Spawner : MonoBehaviour
{
	private int next = 1;
	private System.Random rand = new System.Random();
	private CrystalsManager crystals;

	void Start()
	{
		next = rand.Next(1, 4);
		crystals = FindObjectOfType<CrystalsManager>();
	}
	
	public void Spawn()
	{
		crystals.crystals[next-1].Instantiate(transform.position);
		next = rand.Next(1, 4);
    }

	void Update()
	{
		for (int i = 1; i < 4; i++)
            transform.GetChild(i).gameObject.enabled = i == next;
	}
}
